Loading...
Searching...
No Matches
osmium::nwr_array< T > Class Template Reference

`#include <nwr_array.hpp>`

## Public Types

using | iterator = typename std::array<T, 3>::iterator
using | const_iterator = typename std::array<T, 3>::const_iterator

## Public Member Functions

| nwr_array ()
T & | operator() (const osmium::item_type type) noexcept
const T & | operator() (const osmium::item_type type) const noexcept
T & | nodes () noexcept
const T & | nodes () const noexcept
T & | ways () noexcept
const T & | ways () const noexcept
T & | relations () noexcept
const T & | relations () const noexcept
iterator | begin () noexcept
iterator | end () noexcept
const_iterator | begin () const noexcept
const_iterator | end () const noexcept
const_iterator | cbegin () const noexcept
const_iterator | cend () const noexcept

## Private Attributes

std::array< T, 3 > | m_data

## Detailed Description

template<typename T>
class osmium::nwr_array< T >

Often some information must be kept separately for nodes, ways, and relations. Then this helper class becomes useful. It can keep three somethings (of type T) which can be accessed conveniently through the call operator.

## Member Typedef Documentation

## const_iterator

template<typename T>

using osmium::nwr_array< T >::const_iterator = typename std::array<T, 3>::const_iterator

## iterator

template<typename T>

using osmium::nwr_array< T >::iterator = typename std::array<T, 3>::iterator

## Constructor & Destructor Documentation

## nwr_array()

template<typename T>

osmium::nwr_array< T >::nwr_array | ( |  | ) |

inline

## Member Function Documentation

## begin() [1/2]

template<typename T>

const_iterator osmium::nwr_array< T >::begin | ( |  | ) | const

inlinenoexcept

## begin() [2/2]

template<typename T>

iterator osmium::nwr_array< T >::begin | ( |  | ) |

inlinenoexcept

## cbegin()

template<typename T>

const_iterator osmium::nwr_array< T >::cbegin | ( |  | ) | const

inlinenoexcept

## cend()

template<typename T>

const_iterator osmium::nwr_array< T >::cend | ( |  | ) | const

inlinenoexcept

## end() [1/2]

template<typename T>

const_iterator osmium::nwr_array< T >::end | ( |  | ) | const

inlinenoexcept

## end() [2/2]

template<typename T>

iterator osmium::nwr_array< T >::end | ( |  | ) |

inlinenoexcept

## nodes() [1/2]

template<typename T>

const T & osmium::nwr_array< T >::nodes | ( |  | ) | const

inlinenoexcept

## nodes() [2/2]

template<typename T>

T & osmium::nwr_array< T >::nodes | ( |  | ) |

inlinenoexcept

## operator()() [1/2]

template<typename T>

const T & osmium::nwr_array< T >::operator() | ( | const osmium::item_type | type | ) | const

inlinenoexcept

## operator()() [2/2]

template<typename T>

T & osmium::nwr_array< T >::operator() | ( | const osmium::item_type | type | ) |

inlinenoexcept

## relations() [1/2]

template<typename T>

const T & osmium::nwr_array< T >::relations | ( |  | ) | const

inlinenoexcept

## relations() [2/2]

template<typename T>

T & osmium::nwr_array< T >::relations | ( |  | ) |

inlinenoexcept

## ways() [1/2]

template<typename T>

const T & osmium::nwr_array< T >::ways | ( |  | ) | const

inlinenoexcept

## ways() [2/2]

template<typename T>

T & osmium::nwr_array< T >::ways | ( |  | ) |

inlinenoexcept

## Member Data Documentation

## m_data

template<typename T>

std::array<T, 3> osmium::nwr_array< T >::m_data

private

The documentation for this class was generated from the following file:

- include/osmium/index/nwr_array.hpp